anonpgpid.d(1m)

NAME
anonpgpid.d - anonymous memory paging info by PID on CPU. Uses DTrace.

SYNOPSIS
anonpgpid.d

DESCRIPTION
This scripts may help identify which processes are affected by a system with low memory, which is paging to the physical swap device. A report of the process on the CPU when paging occured is printed. This program is currently an approximation - often the process when writing pages to swap will be "pageout" the pageout scanner, or "rcapd" the resource capping daemon. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

Print report after Ctrl-C is hit,
    # anonpgpid.d

FIELDS

PID process ID

CMD command name for the process

D   direction, Read or Write

BYTES
    total bytes during sample

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
anonpgpid.d will run forever until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M)